# -*- coding: utf-8 -*-
# Generated by Django 1.11.6 on 2018-01-18 16:14


from django.db import migrations, models
import django.db.models.deletion
import wagtail.blocks
import wagtail.blocks.static_block
import wagtail.fields
import wagtail.embeds.blocks
import wagtail.images.blocks


class Migration(migrations.Migration):

    dependencies = [
        ('wagtailimages', '0019_delete_filter'),
        ('wagtailcore', '0040_page_draft_title'),
        ('documents', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='StreamfieldPage',
            fields=[
                ('page_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='wagtailcore.Page')),
                ('body', wagtail.fields.StreamField([('heading', wagtail.blocks.CharBlock(classname='full title', template='documents/blocks/heading.html')), ('paragraph', wagtail.blocks.RichTextBlock()), ('rawparagraph', wagtail.blocks.RawHTMLBlock()), ('image', wagtail.images.blocks.ImageChooserBlock()), ('video', wagtail.embeds.blocks.EmbedBlock()), ('figure', wagtail.blocks.StreamBlock([('image', wagtail.images.blocks.ImageChooserBlock()), ('video', wagtail.embeds.blocks.EmbedBlock()), ('meta', wagtail.blocks.StructBlock([('fignum', wagtail.blocks.IntegerBlock()), ('legend', wagtail.blocks.TextBlock()), ('credit', wagtail.blocks.CharBlock())]))], icon='cogs')), ('animation', wagtail.blocks.static_block.StaticBlock(admin_text='Default tour animation: no configuration needed.', template='documents/blocks/animation.html'))])),
                ('feed_image', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to='wagtailimages.Image')),
            ],
            options={
                'abstract': False,
            },
            bases=('wagtailcore.page',),
        ),
    ]
